Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2023-03-29 11:43:27

dg
Member
Registered: 2023-03-29
Posts: 15

My site won't upgrade from CMS 4.5.7

My site won’t auto upgrade to the latest version.

Having logged in as admin, nothing seems to happen. Diagnostics always says “There was a problem trying to connect to the RPC server. Please try again later.”

Is there something else I need to do to make the site upgrade?

Offline

#2 2023-03-29 13:00:55

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 4,121
GitHub

Re: My site won't upgrade from CMS 4.5.7

Hi dg – welcome to the forum.

The short answer: Textpattern doesn’t do automatic updates in the traditional sense…but we can assist with you doing it yourself, it’s not a complex task.

First of all, you’re running an older version that’s been superseded by a few ‘big’ releases in the meantime, so we need to check what you’re running on your server to see how viable an upgrade is. Please visit the Admin -> Diagnostics area (where you see that error), and scroll down. You’ll see a bunch of things in the list, and the first thing to check is the PHP version.

You can copy & paste the whole diagnostics report into here as a reply, but you should remove (or edit) the lines that identify your site – these are near the top.

Offline

#3 2023-03-29 13:13:22

dg
Member
Registered: 2023-03-29
Posts: 15

Re: My site won't upgrade from CMS 4.5.7

Thank you gaekwad.

I have pasted the diagnostic report below. I am a complete novice at this and would appreciate detailed instructions on how to do the upgrade. The website was not created by me, I am simply trying to upgrade it so the old PHP version gets changed to the latest.

Textpattern version: 4.5.7 (r5900)
Last update: 2015-07-31 12:26:01/2015-10-13 16:24:51
Document root: /kunden/homepages/28/d506504082/htdocs (/homepages/28/d506504082/htdocs)
$path_to_site: /homepages/28/d506504082/htdocs
Textpattern path: /homepages/28/d506504082/htdocs/textpattern
URL pattern: title_only
Temporary directory path: /kunden/homepages/28/d506504082/htdocs/textpattern/tmp
Site URL: xyz.co.uk
PHP version: 5.6.40
GD Graphics Library: bundled (2.1.0 compatible); supported formats: GIF, JPG, PNG.
Server TZ: Europe/London
Server local time: 2023-03-29 14:04:04
Daylight Savings Time (DST) enabled?: 1
Automatically adjust Daylight Saving Time (DST) setting?: 1
Time zone: Europe/London (0)
MySQL: 5.7.38-log
Locale: en_GB.UTF-8
Server: Apache
PHP server API: cgi-fcgi
RFC 2616 headers: 0
Server OS: Linux info 3.0 #1337 SMP Tue Jan 01 00:00:00 CEST 2000 all GNU/Linux Linux info 3.0 #1337 SMP Tue Jan 01 00:00:00 CEST 2000 all GNU/Linux
Active plugins: zem_contact_lang-4.0.3.6, zem_contact_reborn-4.0.3.20
Admin-side theme: classic 4.5.7

Pre-flight check:
————————————
There was a problem trying to connect to the RPC server. Please try again later.
————————————

.htaccess file contents:
————————————
DirectoryIndex index.php index.html

Options +FollowSymLinks
#Options -Indexes
#ErrorDocument 403 default

<IfModule mod_rewrite.c> RewriteEngine On

RewriteBase /

RewriteCond %{REQUEST_FILENAME} -f [OR] RewriteCond %{REQUEST_FILENAME} -d RewriteRule ^(.+) – [PT,L]

RewriteCond %{REQUEST_URI} !=/favicon.ico RewriteRule ^(.*) index.php

RewriteCond %{HTTP:Authorization} !^$ RewriteRule .* – [E=REMOTE_USER:%{HTTP:Authorization}]
</IfModule>

#php_value register_globals 0

  1. SVG
    AddType image/svg+xml svg svgz
    AddEncoding gzip svgz
    ————————————

Offline

#4 2023-03-29 13:34:41

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 4,121
GitHub

Re: My site won't upgrade from CMS 4.5.7

OK, this is useful. Let’s pick a few things apart first…

The version of PHP you’re running (PHP version: 5.6.40) should be OK for an upgrade to the latest version of Textpattern, but it’s in need of an update. It was End Of Life’d over 4 years ago, and you should use a newer version (PHP 7 or PHP 8) if you have those available – check with your hosting company. Practically, you can update to Textpattern 4.8.8 if you’re running PHP 5.6, but you should aim to upgrade PHP as the next task after that’s done. In a nutshell: Textpattern knows about PHP 5.6 and plays nicely, but if you upgrade PHP when you’re on Textpattern 4.5.7 there’s a chance your site will error out because Textpattern 4.5.7 doesn’t play nicely with newer PHP.

There’s a Textpattern upgrade process doc here, have a read through that (and don’t start it until you’re ready) and see if it sounds doable…any questions or concerns, leave a reply here and we’ll help you out.

Offline

#5 2023-03-29 13:59:20

dg
Member
Registered: 2023-03-29
Posts: 15

Re: My site won't upgrade from CMS 4.5.7

Many thanks for your help, gaekwad.

Hosting company is offering updates up to PHP 8.1 so that is the one I need to upgrade to.

I’ll have a read of the upgrade process doc you suggest and may be give it a go.

Offline

#6 2023-03-29 14:11:38

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 4,121
GitHub

Re: My site won't upgrade from CMS 4.5.7

dg wrote #335199:

Hosting company is offering updates up to PHP 8.1 so that is the one I need to upgrade to.

That’ll do nicely.

  1. Read & understand Textpattern upgrade stuff
  2. Do Textpattern upgrade
  3. Pat self on back for job well done
  4. Update PHP to version 8.1
  5. Pat self on back again for another job well done

I’ll have a read of the upgrade process doc you suggest and may be give it a go.

Check in here as and when you need to, we’ll be around.

Offline

#7 2023-03-30 10:12:17

dg
Member
Registered: 2023-03-29
Posts: 15

Re: My site won't upgrade from CMS 4.5.7

Thank you for your very encouraging message. Using File Zilla I have downloaded the current Textpattern file tree and also config.php file.

I am bit confused by point 3.1 of upgrade instructions. It says “Once copied, upload the new Textpattern package and then copy your config.php file from your backup prior to logging back in to Textpattern.” Does this mean I should install the new Textpattern files as per point 4 and then copy config.php file in the Textpattern folder?

Also, should I not create the database dump file per point 3.2 before installing new files?

Apologies if I am being a bit too cautious, I just don’t want to something silly and break things.

Offline

#8 2023-03-31 10:24:23

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 4,121
GitHub

Re: My site won't upgrade from CMS 4.5.7

dg wrote #335204:

It says “Once copied, upload the new Textpattern package and then copy your config.php file from your backup prior to logging back in to Textpattern.” Does this mean I should install the new Textpattern files as per point 4 and then copy config.php file in the Textpattern folder?

Yes. The important part (the glue that makes your files talk to your database) is the config.php file that you referred to. As long as you have a copy of that safely, it should be plain sailing. Looking at your diagnostics, there don’t appear to be any exotic plugins with dependencies running, so your approach of installing the new Textpattern files then dropping the config.php back in should be just fine. You will find there are new files and directories since your older version. This is to be expected.

One thing to watch: if you have a files and images directory (you likely will), don’t overwrite them with the ‘new’ files as it’ll break your existing files and images, which is bad.

So, as you say: drop new Textpattern files in, drop config.php back in, then log in as you usually would and the magic will happen.

Also, should I not create the database dump file per point 3.2 before installing new files?

Yes. There’s a close-to-zero chance that anything will go astray, but it’s better to have a backup and not need it than find yourself with a knackered website.

Apologies if I am being a bit too cautious, I just don’t want to something silly and break things.

No apologies needed at all! You’ll have a new skill when it’s all done, it’s all good.

Offline

#9 2023-03-31 11:40:06

dg
Member
Registered: 2023-03-29
Posts: 15

Re: My site won't upgrade from CMS 4.5.7

Thank you. One more question before I do the upgrade:
In FileZilla, the root directory has textpattern folder and css.php and index.php files amongst several others. So I will simply overwrite these when uploading from version 4.8 and add themes folder which is not in the root directory.

Finally, I changed text in some articles under Slider catergory and this seems to have stopped the slider from working. If I restore the database from a backup taken before these changes, will this put things back to where they were before my tinkering?

Offline

#10 2023-03-31 12:02:29

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 4,121
GitHub

Re: My site won't upgrade from CMS 4.5.7

dg wrote #335221:

In FileZilla, the root directory has textpattern folder and css.php and index.php files amongst several others. So I will simply overwrite these when uploading from version 4.8 and add themes folder which is not in the root directory.

Yep, that’s it.

Finally, I changed text in some articles under Slider catergory and this seems to have stopped the slider from working. If I restore the database from a backup taken before these changes, will this put things back to where they were before my tinkering?

This might break if you’re using a v4.5 database and v4.8 files, it’ll get tripped up and be messy. If you’ve made these changes and it snapped before you start the upgrade, your safest bet would be to restore the database backup that you have so you’re on v4.5 database + v4.5 files. Then, you can either bump the whole thing to v4.8 and sort the sliders or get the sliders modified and working properly on v4.5 then move the whole thing to v4.8.

Offline

#11 2023-03-31 12:51:36

dg
Member
Registered: 2023-03-29
Posts: 15

Re: My site won't upgrade from CMS 4.5.7

Thank you so much for taking the time and trouble to help me out.

I haven’t done the upgrade yet, so will restore the database from a backup and hope the sliders work again.

Offline

#12 2023-04-03 11:55:06

dg
Member
Registered: 2023-03-29
Posts: 15

Re: My site won't upgrade from CMS 4.5.7

I did the upgrade and Diagnostics says “All checks passed” but when I go to the website I am getting a Fatal error:
Fatal error: Uncaught Error: Call to undefined function mysql_real_escape_string() in /homepages/28/d506504082/htdocs/textpattern/plugins/zem_contact_reborn/zem_contact_reborn.php:46 Stack trace: #0 [internal function]: zem_contact() #1 ………………..

I think this may have to do with the plugins folder which is now in the textpattern folder in the root directory but wasn’t in the old oversion. Should I delete this?

Offline

Board footer

Powered by FluxBB